Bug 59419 - /etc/init.d/network script error
/etc/init.d/network script error
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2002-02-07 10:47 EST by javor
Modified: 2014-03-16 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-02-19 07:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description javor 2002-02-07 10:47:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
wrong condition in /etc/init.d/network

was: if [ "${bogus}" = "gw" ];
should be: if [ "${bogus}" != "gw" ];

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.add this to /etc/sysconfig/static-routes: any net netmask gw "unassigned_IP_address_in_your_nework"
2. /etc/init.d/network restart
3.route -n ...

Additional info:
Comment 1 javor 2002-02-19 07:54:55 EST
I'm very sorry about confusing - version of Redhat was 7.0 not 7.2
Comment 2 Bill Nottingham 2002-02-25 12:49:57 EST
This was fixed at least by 7.2.

Note You need to log in before you can comment on or make changes to this bug.